*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

h1{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-left: 20px;
    border-bottom: 2px solid red;
    max-width: 99%;
    padding:10px;
}

h2{
    text-align: center;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-left: 20px;
    max-width: 99%;
    padding:10px;
}

h2> span{
    display: block;
    margin-top: 10px;
}

nav{
    display: flex;
    padding:20px;
}

nav > a{
    padding:10px;
    font-size: 25px;
    text-decoration: none;
    color:rgb(0, 132, 255);
}
nav a::after {
    content: "";
    display: block;
    width: 0;
    height: 2px;
    background: rgb(47, 0, 255);
    transition: background 1s, width 0.35s;
}
nav a:hover::after {
    width: 100%;
    background: linear-gradient(
        15deg,
        rgba(255, 255, 255, 0.5048282740830707) 0%,
        rgba(0, 255, 149, 1) 100%
    );
    
}

form{
    margin: 1rem 2rem;
}
.bienvenida{
    margin: 15px;
}

.bienvenida  p > span{
    margin-top: 10px;
    display: block;
    margin-left:10px;

}

.bienvenida > p{
    font-size: 25px;
}

.formulario-perfil div {
    margin: 15px 0;
}

.formulario-perfil div > input{
    display: block;
    margin-top: 10px;
}

.formulario-perfil > .save-button > input{
    padding:5px;
    font-size: 17px;
    border: 1px solid gray;
    transition: background-color 1s;
}

.formulario-perfil > .save-button > input:hover{
    cursor:pointer;
    border: 1px solid gray;
    background-color:rgb(0, 255, 34);
    transition: background-color 1s;
}

.button-acceder > input{
    padding:10px;
    border: none;
    background-color:rgb(0, 132, 255);
    color:#FFFFFF;
    font-weight: 600;
    transition: background-color 1s;
}

.button-acceder > input:hover{
    cursor: pointer;
    background-color:rgb(0, 255, 34);
    color:#000000;
    transition: background-color 1s;
}

.formualario-cuentas > p{
    padding:10px 0;    
    font-size: 20px;
}

.user-actions{
    text-align:center;
    margin-top: 20px;
}

.user-actions > a{
    text-decoration:none;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    border: 1px solid gray;
    text-align: center;
    padding:10px;
    margin: 5px;
    font-size: 15px;
    color: #000000;
    transition: background-color 1s;
}

.user-actions > a:hover{
    cursor: pointer;
    background-color:rgb(0, 132, 255);
    color: #FFFFFF;
    transition: background-color 1s;
}
